provide less ambitious "isabelle ocaml_setup_base", notably for platforms without gmp-dev;
authorwenzelm
Wed, 15 Jan 2025 15:13:39 +0100
changeset 81825 c551d4a418b9
parent 81824 ef849800cc97
child 81826 57b0a02e2774
provide less ambitious "isabelle ocaml_setup_base", notably for platforms without gmp-dev;
lib/Tools/ocaml_setup
lib/Tools/ocaml_setup_base
--- a/lib/Tools/ocaml_setup	Wed Jan 15 13:45:22 2025 +0100
+++ b/lib/Tools/ocaml_setup	Wed Jan 15 15:13:39 2025 +0100
@@ -2,20 +2,6 @@
 #
 # Author: Makarius
 #
-# DESCRIPTION: setup OCaml via OPAM
-
-set -e
+# DESCRIPTION: setup OCaml for Isabelle via OPAM
 
-if [ -d "$ISABELLE_OPAM_ROOT/$ISABELLE_OCAML_VERSION/bin" ]
-then
-  isabelle_opam switch -y "$ISABELLE_OCAML_VERSION"
-elif [ -e "$ISABELLE_OPAM_ROOT/config" ]
-then
-  isabelle_opam switch create -y "$ISABELLE_OCAML_VERSION"
-else
-  mkdir -p "$ISABELLE_OPAM_ROOT"
-  cd "$ISABELLE_OPAM_ROOT"
-  isabelle_opam init -y --disable-sandboxing --no-setup --compiler="$ISABELLE_OCAML_VERSION"
-fi
-
-isabelle_opam install -y zarith
+isabelle ocaml_setup_base && isabelle_opam install -y zarith
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/lib/Tools/ocaml_setup_base	Wed Jan 15 15:13:39 2025 +0100
@@ -0,0 +1,19 @@
+#!/usr/bin/env bash
+#
+# Author: Makarius
+#
+# DESCRIPTION: setup OCaml base compiler via OPAM
+
+set -e
+
+if [ -d "$ISABELLE_OPAM_ROOT/$ISABELLE_OCAML_VERSION/bin" ]
+then
+  isabelle_opam switch -y "$ISABELLE_OCAML_VERSION"
+elif [ -e "$ISABELLE_OPAM_ROOT/config" ]
+then
+  isabelle_opam switch create -y "$ISABELLE_OCAML_VERSION"
+else
+  mkdir -p "$ISABELLE_OPAM_ROOT"
+  cd "$ISABELLE_OPAM_ROOT"
+  isabelle_opam init -y --disable-sandboxing --no-setup --compiler="$ISABELLE_OCAML_VERSION"
+fi